%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_with	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	MIME
%define		pnam	EncWords
Summary:	MIME::EncWords - deal with RFC 2047 encoded words (improved)
Name:		perl-MIME-EncWords
Version:	1.014.3
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/MIME/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	6f73e813b8bb0435268ec42dd8ca9229
URL:		http://search.cpan.org/dist/MIME-EncWords/
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Encode >= 1:1.98
BuildRequires:	perl-MIME-Base64 >= 2.13
BuildRequires:	perl-MIME-Charset >= 1.006
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Deal with RFC 2047 encoded words (improved).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# just pod doc in %lang(ja)
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/MIME/EncWords/JA_JP.pod
# err, configuration place is not there
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/MIME/EncWords/Defaults.pm.sample

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{_mandir}/man3/*
%{perl_vendorlib}/MIME/EncWords.pm
%dir %{perl_vendorlib}/Encode/MIME
%{perl_vendorlib}/Encode/MIME/EncWords.pm
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-MIME-EncWords.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 59cad10
- up to 1.014.3

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 350c905
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Wed Jan 25 2012 zbyniu <zbyniu@pld-linux.org> 3b60d66
- missing dir; rel 2

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> 11c19b0
- up to 1.012.4

* Wed Aug 26 2009 amateja <amateja@pld-linux.org> 550d26d
- updated to 1.011.1

* Wed Jun 10 2009 amateja <amateja@pld-linux.org> a05fbc5
- updated to 1.010.101

* Tue Oct 14 2008 Elan Ruusamäe <glen@pld-linux.org> e607b61
- previous commit was unwanted; now really spec finished (but tests give garbage); rel 1

* Tue Oct 14 2008 Elan Ruusamäe <glen@pld-linux.org> e5d4392
- finish spec with help of pldcpan

* Mon Sep 29 2008 pawelz <pawelz@pld-linux.org> 35b955e
- added missing dir
- pointed by Pawel Muszynski <pmuch at zamek dot szczecin dot pl>

* Sat Jul 26 2008 luzik <luzik@pld-linux.org> 8c1c28a
- initial release
- ugly spec but work :)

